PHP & cURL installation error (checking for curl_easy_perform in-lcurl)

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Hello readers,

I'm trying to install the latest PHP4 version from the scratch. The
configure string is following:
../configure --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql
--with-curl --enable-exif --enable-mbsting=all --with-gd --with-openssl
--with-zlib-dir=/usr --with-zlib

Everything goes well until the cURL should be configured. At that point,
I will encounter an error like this:

checking for CURL support... yes
checking for CURL in default path... found in /usr
checking for cURL 7.9.8 or greater... libcurl 7.12.1
checking for curl_easy_perform in -lcurl... no
configure: error: There is something wrong. Please check config.log for
more information.

OK, let's check out the config.log:

[root@finnpower php-4.3.10]# tail config.log
#line 20458 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
char curl_easy_perform();

int main() {
; return 0; }

Following cURL packages are installed:

In general, I have Fedora Core 3 installed with self-compiled Apache
2... almost with PHP 4.3.10 too.

Thanks for help!


Site Timeline